library(ggplot2)
library(tidyr)
library(scales)
#faili sisselugemine ja andmete formaadi korrigeerimine
J241=read.csv2("PT2-T2.4-J2.4.1.csv",header=TRUE, encoding ="UTF-8")
J241$Keskmine=as.numeric(J241$Keskmine)
J241$Usaldusintervallid=as.numeric(J241$Usaldusintervallid)
J241$Usaldusintervallid.1=as.numeric(J241$Usaldusintervallid.1)
J241$Country=as.factor(J241$Country)
J241$Country=factor(J241$Country,levels=rev(levels(J241$Country)))



#joonis
ggplot(J241,aes(x=Country,y=Keskmine,col=Sugu))+
  geom_point(cex=3)+
  geom_errorbar(aes(x=Country,ymin=Usaldusintervallid,ymax=Usaldusintervallid.1),width=0.1,linewidth=0.9)+
  theme_minimal()+
  coord_flip()+
  scale_y_continuous(limits=c(1,5))+
  scale_color_manual(values=c("#6666cc","#FF3600"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080",face=c(1,1,1,1,1,1,1,1,1,2,1,1)),legend.title=element_blank())+
  ylab("Average depressiveness (EURO-D)")

  

